View Issue Details

IDProjectCategoryView StatusLast Update
0002221FreeCADBugpublic2015-12-15 13:17
ReporterhyOzdAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntu Linux 15.04OS Version
Product Version 
Target VersionFixed in Version0.16 
Summary0002221: FreeCADGui.export([object], "test.wrl") doesn't export object if it's not selected
DescriptionWhen exporting an object/objects to a VRML file using python; I use this line:

    FreeCADGui.export([object], "test.wrl")

But if objects are not also selected in the GUI, exported file is empty like this;

-- file: test.wrl --
#VRML V2.0 utf8


Group {
  children
    Group {

    }

}
------------------

This happens on latest builds of FreeCAD 0.16 (5351 git). Stable 0.15 version works as expected.
Steps To Reproduce1. Open a new document
2. Switch to "Part" workbench
3. Create a box shape
4. Unselect the box Shape
5. Switch to Python console
6. Run command: Gui.export([App.ActiveDocument.Box], "./test.wrl")
Additional InformationA simple workaround is to select the shape before exporting. I use these lines to export a list of objects:

    FreeCADGui.Selection.clearSelection()
    for o in exportObjects: FreeCADGui.Selection.addSelection(o)
    FreeCADGui.export(exportObjects, filename)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master 99fc24ea

2015-08-26 19:24:00

wmayer

Details Diff
+ fixes 0002221 Affected Issues
0002221
mod - src/Gui/ApplicationPy.cpp Diff File

Issue History

Date Modified Username Field Change
2015-08-19 05:48 hyOzd New Issue
2015-08-26 17:24 wmayer Changeset attached => FreeCAD Master master 99fc24ea
2015-08-26 17:24 wmayer Assigned To => wmayer
2015-08-26 17:24 wmayer Status new => closed
2015-08-26 17:24 wmayer Resolution open => fixed
2015-12-15 13:17 yorik Fixed in Version => 0.16